Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Asynch_Write_Dgram_Impl Class Reference

Abstract base class for all the concrete implementation classes that provide different implementations for the ACE_Asynch_Write_Dgram class. More...

`#include <Asynch_IO_Impl.h>`

Inheritance diagram for ACE_Asynch_Write_Dgram_Impl:

[legend]
Collaboration diagram for ACE_Asynch_Write_Dgram_Impl:

[legend]
List of all members.

## Public Methods
virtual | ~ACE_Asynch_Write_Dgram_Impl (void)
virtual ssize_t | send (ACE_Message_Block *message_block, size_t &number_of_bytes_sent, int flags, const ACE_Addr &addr, const void *act, int priority, int signal_number)=0
| This starts off an asynchronous send. More...
## Protected Methods
| ACE_Asynch_Write_Dgram_Impl (void)
| Do-nothing constructor. More...

## Detailed Description

Abstract base class for all the concrete implementation classes that provide different implementations for the ACE_Asynch_Write_Dgram class.

## Constructor & Destructor Documentation

ACE_Asynch_Write_Dgram_Impl::~ACE_Asynch_Write_Dgram_Impl | ( | void |  | ) | `[virtual]`

ACE_Asynch_Write_Dgram_Impl::ACE_Asynch_Write_Dgram_Impl | ( | void |  | ) | `[protected]`

| Do-nothing constructor.

## Member Function Documentation

virtual ssize_t ACE_Asynch_Write_Dgram_Impl::send | ( | ACE_Message_Block * | message_block,
|  | size_t & | number_of_bytes_sent,
|  | int | flags,
|  | const ACE_Addr & | addr,
|  | const void * | act,
|  | int | priority,
|  | int | signal_number
| ) | `[pure virtual]`

| This starts off an asynchronous send. Upto <message_block->total_length()> will be sent. <message_block>'s <rd_ptr> will be updated to reflect the sent bytes if the send operation is successful completed. Return code of 1 means immediate success and <number_of_bytes_sent> is updated to number of bytes sent. The <ACE_Handler::handle_write_dgram> method will still be called. Return code of 0 means the IO will complete proactively. Return code of -1 means there was an error, use errno to get the error code. Scatter/gather is supported on WIN32 by using the <message_block->cont()> method. Up to ACE_IOV_MAX <message_block>'s are supported. Upto <message_block->length()> bytes will be sent from each <message block> for a total of <message_block->total_length()> bytes. All <message_block>'s <rd_ptr>'s will be updated to reflect the bytes sent from each <message_block>. Priority of the operation is specified by <priority>. On POSIX4-Unix, this is supported. Works like <nice> in Unix. Negative values are not allowed. 0 means priority of the operation same as the process priority. 1 means priority of the operation is one less than process. And so forth. On Win32, this argument is a no-op. <signal_number> is the POSIX4 real-time signal number to be used for the operation. <signal_number> ranges from ACE_SIGRTMIN to ACE_SIGRTMAX. This argument is a no-op on non-POSIX4 systems. Reimplemented in ACE_POSIX_Asynch_Write_Dgram, and ACE_WIN32_Asynch_Write_Dgram.

The documentation for this class was generated from the following files:

- Asynch_IO_Impl.h
- Asynch_IO_Impl.cpp